# Create a new check for a business

Creates a new check for a business specified by ID.

Endpoint: POST /businesses/{business_id}/checks
Version: 1.144.0
Security: oauth-client-credentials

## Path parameters:

  - `business_id` (string, required)
    The unique identifier of the business. Universally Unique Identifier (UUID).

## Header parameters:

  - `upvest-client-id` (string, required)
    Your client ID, issued by Upvest. Identifies the client making the request. Universally Unique Identifier (UUID).

  - `Authorization` (string, required)
    Bearer (access) token from the OAuth flow with correct scopes.
https://datatracker.ietf.org/doc/html/rfc6750

  - `signature` (string, required)
    https://tools.ietf.org/id/draft-ietf-httpbis-message-signatures-01.html#name-the-signature-http-header

  - `signature-input` (string, required)
    https://tools.ietf.org/id/draft-ietf-httpbis-message-signatures-01.html#name-the-signature-input-http-he

  - `upvest-api-version` (string)
    Upvest API version (Note: Do not include quotation marks)

## Request fields (application/json):

  - `type` (string, required)
    The type of check must be “KYB”.

  - `originally_confirmed_at` (string, required)
    The date and time when the check was first confirmed. When the check has only been confirmed once, this value is the same as check_confirmed_at. When renewing KYB check, this value remains the same as when the check was first confirmed.

  - `check_confirmed_at` (string, required)
    The date and time when the check was latest confirmed

  - `data_download_link` (string, required)
    Link to download the document bundle submitted for the KYB check

  - `type` (string, required)
    The type of check must be "BUSINESS_SELF_ASSESSMENT".

  - `check_confirmed_at` (string, required)
    The date and time when the self assessment check was confirmed.

  - `business_industry` (string, required)
    The business industry classification.
    Enum: "ACCOMMODATION_AND_HOSPITALITY", "ACCOMMODATION_AND_HOSPITALITY_TIMESHARING", "ADMIN_AND_SUPPORT_SERVICES", "ADMIN_AND_SUPPORT_SERVICES_CLEANING_AND_FACILITIES", "ADMIN_AND_SUPPORT_SERVICES_SECURITY_AND_INVESTIGATION", "ADMIN_AND_SUPPORT_SERVICES_SPECIFIC_SECTORS", "AGRICULTURE_FORESTRY_AND_FISHING", "CONSTRUCTION", "EDUCATION", "EDUCATION_HIGHER_EDUCATION", "ENTERTAINMENT_ARTS_AND_RECREATION", "ENTERTAINMENT_ARTS_AND_RECREATION_NATURE_AND_ZOOS", "ENTERTAINMENT_ARTS_AND_RECREATION_SPECIFIC_SECTORS", "EXTRATERRITORIAL_AND_HOUSEHOLD_ACTIVITIES", "FINANCIAL_SERVICES", "FOOD_AND_BEVERAGE_SERVICES", "HEALTHCARE", "HEALTHCARE_COUNSELLING_AND_SOCIAL_SERVICES", "INFORMATION_TECHNOLOGY_AND_MEDIA", "INFORMATION_TECHNOLOGY_AND_MEDIA_ONLINE_GAMING", "INFORMATION_TECHNOLOGY_AND_MEDIA_PRINT_PUBLISHING", "INFORMATION_TECHNOLOGY_AND_MEDIA_TELECOMMUNICATIONS", "MANUFACTURING", "MANUFACTURING_PHARMACEUTICALS", "MANUFACTURING_PRECIOUS_METALS_AND_JEWELLERY", "MANUFACTURING_WEAPONS_AND_HAZARDOUS", "MINING_AND_QUARRYING", "PERSONAL_AND_OTHER_SERVICES", "PERSONAL_AND_OTHER_SERVICES_ADULT_AND_WELLNESS", "PERSONAL_AND_OTHER_SERVICES_NONPROFIT_AND_MEMBERSHIP_ORGANISATIONS", "PROFESSIONAL_AND_TECHNICAL_SERVICES", "PROFESSIONAL_AND_TECHNICAL_SERVICES_LEGAL_AND_FIDUCIARY", "PROFESSIONAL_AND_TECHNICAL_SERVICES_UNREGULATED", "PUBLIC_ADMINISTRATION", "PUBLIC_ADMINISTRATION_JUDICIAL", "REAL_ESTATE", "REAL_ESTATE_AGENCY_AND_BROKERAGE", "RETAIL_TRADE", "RETAIL_TRADE_SPECIALITY", "RETAIL_TRADE_SPECIFIC_SECTORS", "TRANSPORTATION_AND_LOGISTICS", "TRANSPORTATION_AND_LOGISTICS_CRUISE_LINES", "TRANSPORTATION_AND_LOGISTICS_RAIL_AND_STORAGE", "UTILITIES_AND_ENERGY", "WHOLESALE_TRADE", "WHOLESALE_TRADE_INDUSTRIAL", "WHOLESALE_TRADE_LUXURY_AND_COLLECTIBLES", "WHOLESALE_TRADE_PETROLEUM_AND_CHEMICALS"

  - `purpose_of_business_relationship` (string, required)
    The purpose of the business relationship.
    Enum: "WEALTH_GROWTH", "TREASURY_LIQUIDITY_MANAGEMENT", "HEDGING_RISK_MANAGEMENT", "EMPLOYEE_BENEFIT_FUNDING", "STRATEGIC_INVESTMENT"

  - `primary_countries_of_activity` (array, required)
    List of primary countries where the business operates. ISO 3166-1 alpha-2 country codes.

  - `annual_revenue` (object, required)
    A monetary range defined by a lower bound and an optional upper bound.

  - `annual_revenue.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
    Enum: "EUR", "GBP"

  - `annual_revenue.lower_bound` (number, required)
    The lower bound of the monetary range.

  - `annual_revenue.upper_bound` (number)
    The upper bound of the monetary range.

  - `expected_volume_of_investment` (object, required)
    A monetary range defined by a lower bound and an optional upper bound.

  - `expected_volume_of_investment.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
    Enum: "EUR", "GBP"

  - `expected_volume_of_investment.lower_bound` (number, required)
    The lower bound of the monetary range.

  - `expected_volume_of_investment.upper_bound` (number)
    The upper bound of the monetary range.

  - `total_asset_value` (object, required)
    A monetary range defined by a lower bound and an optional upper bound.

  - `total_asset_value.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
    Enum: "EUR", "GBP"

  - `total_asset_value.lower_bound` (number, required)
    The lower bound of the monetary range.

  - `total_asset_value.upper_bound` (number)
    The upper bound of the monetary range.

## Response 202 fields (application/json):

  - `id` (string, required)
    Business Check unique identifier.

## Response 400 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 401 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 403 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 404 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 406 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 429 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 500 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 503 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 504 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

